Package org.apache.sysds.runtime.controlprogram.parfor

# Class TaskPartitionerNaive

java.lang.Object
org.apache.sysds.runtime.controlprogram.parfor.TaskPartitioner
org.apache.sysds.runtime.controlprogram.parfor.TaskPartitionerFixedsize
org.apache.sysds.runtime.controlprogram.parfor.TaskPartitionerNaive

public class TaskPartitionerNaive extends TaskPartitionerFixedsize
This static task partitioner virtually iterates over the given FOR loop (from, to, incr), creates iterations and group them to tasks according to a task size of numIterations/numWorkers. There, all tasks are equally sized.

## Constructor Summary

Constructors
Constructor
Description
`TaskPartitionerNaive(long taskSize, String iterVarName, IntObject fromVal, IntObject toVal, IntObject incrVal)`

## Method Summary

### Methods inherited from class org.apache.sysds.runtime.controlprogram.parfor.TaskPartitionerFixedsize

`createTasks, createTasks`

### Methods inherited from class org.apache.sysds.runtime.controlprogram.parfor.TaskPartitioner

`getNumIterations`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TaskPartitionerNaive

public TaskPartitionerNaive(long taskSize, String iterVarName, IntObject fromVal, IntObject toVal, IntObject incrVal)